<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::TestCase Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1TestCase.html">TestCase</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1TestCase-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::TestCase Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::TestCase:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1TestCase__inherit__graph.png" border="0" usemap="#Catch_1_1TestCase_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1TestCase_inherit__map" id="Catch_1_1TestCase_inherit__map">
<area shape="rect" title=" " alt="" coords="18,80,143,107"/>
<area shape="rect" href="structCatch_1_1TestCaseInfo.html" title=" " alt="" coords="5,5,156,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::TestCase:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1TestCase__coll__graph.png" border="0" usemap="#Catch_1_1TestCase_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1TestCase_coll__map" id="Catch_1_1TestCase_coll__map">
<area shape="rect" title=" " alt="" coords="24,171,149,197"/>
<area shape="rect" href="structCatch_1_1TestCaseInfo.html" title=" " alt="" coords="11,95,162,121"/>
<area shape="rect" href="structCatch_1_1SourceLineInfo.html" title=" " alt="" coords="5,5,168,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aae5709fc1cb68e19ab0ac27e1ffd6a76"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#aae5709fc1cb68e19ab0ac27e1ffd6a76">TestCase</a> (<a class="el" href="structCatch_1_1ITestInvoker.html">ITestInvoker</a> *testCase, <a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a> &amp;&amp;info)</td></tr>
<tr class="separator:aae5709fc1cb68e19ab0ac27e1ffd6a76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0812e8a216d09b087d5874687009f0d6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1TestCase.html">TestCase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#a0812e8a216d09b087d5874687009f0d6">withName</a> (std::string const &amp;_newName) const</td></tr>
<tr class="separator:a0812e8a216d09b087d5874687009f0d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26f346c8446dded0562fe3818ae71651"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#a26f346c8446dded0562fe3818ae71651">invoke</a> () const</td></tr>
<tr class="separator:a26f346c8446dded0562fe3818ae71651"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ea0d79f49156cebea076fe1ba50d2b6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a> const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#a1ea0d79f49156cebea076fe1ba50d2b6">getTestCaseInfo</a> () const</td></tr>
<tr class="separator:a1ea0d79f49156cebea076fe1ba50d2b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5456d03a90f75292835c158f3a3374a1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#a5456d03a90f75292835c158f3a3374a1">operator==</a> (<a class="el" href="classCatch_1_1TestCase.html">TestCase</a> const &amp;other) const</td></tr>
<tr class="separator:a5456d03a90f75292835c158f3a3374a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a030e4b9282e9b32e08c8bd5e5cd6fa98"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#a030e4b9282e9b32e08c8bd5e5cd6fa98">operator&lt;</a> (<a class="el" href="classCatch_1_1TestCase.html">TestCase</a> const &amp;other) const</td></tr>
<tr class="separator:a030e4b9282e9b32e08c8bd5e5cd6fa98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae5709fc1cb68e19ab0ac27e1ffd6a76"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#aae5709fc1cb68e19ab0ac27e1ffd6a76">TestCase</a> (<a class="el" href="structCatch_1_1ITestInvoker.html">ITestInvoker</a> *testCase, <a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a> &amp;&amp;info)</td></tr>
<tr class="separator:aae5709fc1cb68e19ab0ac27e1ffd6a76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0812e8a216d09b087d5874687009f0d6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1TestCase.html">TestCase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#a0812e8a216d09b087d5874687009f0d6">withName</a> (std::string const &amp;_newName) const</td></tr>
<tr class="separator:a0812e8a216d09b087d5874687009f0d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26f346c8446dded0562fe3818ae71651"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#a26f346c8446dded0562fe3818ae71651">invoke</a> () const</td></tr>
<tr class="separator:a26f346c8446dded0562fe3818ae71651"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ea0d79f49156cebea076fe1ba50d2b6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a> const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#a1ea0d79f49156cebea076fe1ba50d2b6">getTestCaseInfo</a> () const</td></tr>
<tr class="separator:a1ea0d79f49156cebea076fe1ba50d2b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5456d03a90f75292835c158f3a3374a1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#a5456d03a90f75292835c158f3a3374a1">operator==</a> (<a class="el" href="classCatch_1_1TestCase.html">TestCase</a> const &amp;other) const</td></tr>
<tr class="separator:a5456d03a90f75292835c158f3a3374a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a030e4b9282e9b32e08c8bd5e5cd6fa98"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#a030e4b9282e9b32e08c8bd5e5cd6fa98">operator&lt;</a> (<a class="el" href="classCatch_1_1TestCase.html">TestCase</a> const &amp;other) const</td></tr>
<tr class="separator:a030e4b9282e9b32e08c8bd5e5cd6fa98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1TestCaseInfo"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1TestCaseInfo')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td></tr>
<tr class="memitem:ad1a6b08b5a83d1c5eb4596b727b5305f inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#ad1a6b08b5a83d1c5eb4596b727b5305f">TestCaseInfo</a> (std::string const &amp;_name, std::string const &amp;_className, std::string const &amp;_description, std::vector&lt; std::string &gt; const &amp;_tags, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;_lineInfo)</td></tr>
<tr class="separator:ad1a6b08b5a83d1c5eb4596b727b5305f inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a934b1a0952700743e99d62ec1731a2e2 inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a934b1a0952700743e99d62ec1731a2e2">isHidden</a> () const</td></tr>
<tr class="separator:a934b1a0952700743e99d62ec1731a2e2 inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc70d4379a2070cc22b693ffe3932c1a inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#afc70d4379a2070cc22b693ffe3932c1a">throws</a> () const</td></tr>
<tr class="separator:afc70d4379a2070cc22b693ffe3932c1a inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f37291295e3a6de2dd85324c941edaf inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a5f37291295e3a6de2dd85324c941edaf">okToFail</a> () const</td></tr>
<tr class="separator:a5f37291295e3a6de2dd85324c941edaf inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe33d81233230cdae8afa714688e905b inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#abe33d81233230cdae8afa714688e905b">expectedToFail</a> () const</td></tr>
<tr class="separator:abe33d81233230cdae8afa714688e905b inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17506de67fb18e27511c17f8a81119d8 inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a17506de67fb18e27511c17f8a81119d8">tagsAsString</a> () const</td></tr>
<tr class="separator:a17506de67fb18e27511c17f8a81119d8 inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1a6b08b5a83d1c5eb4596b727b5305f inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#ad1a6b08b5a83d1c5eb4596b727b5305f">TestCaseInfo</a> (std::string const &amp;_name, std::string const &amp;_className, std::string const &amp;_description, std::vector&lt; std::string &gt; const &amp;_tags, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;_lineInfo)</td></tr>
<tr class="separator:ad1a6b08b5a83d1c5eb4596b727b5305f inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a934b1a0952700743e99d62ec1731a2e2 inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a934b1a0952700743e99d62ec1731a2e2">isHidden</a> () const</td></tr>
<tr class="separator:a934b1a0952700743e99d62ec1731a2e2 inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc70d4379a2070cc22b693ffe3932c1a inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#afc70d4379a2070cc22b693ffe3932c1a">throws</a> () const</td></tr>
<tr class="separator:afc70d4379a2070cc22b693ffe3932c1a inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f37291295e3a6de2dd85324c941edaf inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a5f37291295e3a6de2dd85324c941edaf">okToFail</a> () const</td></tr>
<tr class="separator:a5f37291295e3a6de2dd85324c941edaf inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe33d81233230cdae8afa714688e905b inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#abe33d81233230cdae8afa714688e905b">expectedToFail</a> () const</td></tr>
<tr class="separator:abe33d81233230cdae8afa714688e905b inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17506de67fb18e27511c17f8a81119d8 inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a17506de67fb18e27511c17f8a81119d8">tagsAsString</a> () const</td></tr>
<tr class="separator:a17506de67fb18e27511c17f8a81119d8 inherit pub_methods_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a515e98dc36d443c35ebeef5eba8a1692"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="structCatch_1_1ITestInvoker.html">ITestInvoker</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestCase.html#a515e98dc36d443c35ebeef5eba8a1692">test</a></td></tr>
<tr class="separator:a515e98dc36d443c35ebeef5eba8a1692"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_structCatch_1_1TestCaseInfo"><td colspan="2" onclick="javascript:toggleInherit('pub_types_structCatch_1_1TestCaseInfo')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td></tr>
<tr class="memitem:a39b232f74b4a7a6f2183b96759027eac inherit pub_types_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eac">SpecialProperties</a> { <br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb">None</a> = 0, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969">IsHidden</a> = 1 &lt;&lt; 1, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b">ShouldFail</a> = 1 &lt;&lt; 2, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29">MayFail</a> = 1 &lt;&lt; 3, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149">Throws</a> = 1 &lt;&lt; 4, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95">NonPortable</a> = 1 &lt;&lt; 5, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385">Benchmark</a> = 1 &lt;&lt; 6, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb">None</a> = 0, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969">IsHidden</a> = 1 &lt;&lt; 1, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b">ShouldFail</a> = 1 &lt;&lt; 2, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29">MayFail</a> = 1 &lt;&lt; 3, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149">Throws</a> = 1 &lt;&lt; 4, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95">NonPortable</a> = 1 &lt;&lt; 5, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385">Benchmark</a> = 1 &lt;&lt; 6
<br />
 }</td></tr>
<tr class="separator:a39b232f74b4a7a6f2183b96759027eac inherit pub_types_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39b232f74b4a7a6f2183b96759027eac inherit pub_types_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eac">SpecialProperties</a> { <br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb">None</a> = 0, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969">IsHidden</a> = 1 &lt;&lt; 1, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b">ShouldFail</a> = 1 &lt;&lt; 2, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29">MayFail</a> = 1 &lt;&lt; 3, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149">Throws</a> = 1 &lt;&lt; 4, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95">NonPortable</a> = 1 &lt;&lt; 5, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385">Benchmark</a> = 1 &lt;&lt; 6, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb">None</a> = 0, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969">IsHidden</a> = 1 &lt;&lt; 1, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b">ShouldFail</a> = 1 &lt;&lt; 2, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29">MayFail</a> = 1 &lt;&lt; 3, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149">Throws</a> = 1 &lt;&lt; 4, 
<br />
&#160;&#160;<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95">NonPortable</a> = 1 &lt;&lt; 5, 
<a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385">Benchmark</a> = 1 &lt;&lt; 6
<br />
 }</td></tr>
<tr class="separator:a39b232f74b4a7a6f2183b96759027eac inherit pub_types_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_structCatch_1_1TestCaseInfo"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_structCatch_1_1TestCaseInfo')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td></tr>
<tr class="memitem:a463794e2f5cfead307c93efd134ade36 inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a463794e2f5cfead307c93efd134ade36">name</a></td></tr>
<tr class="separator:a463794e2f5cfead307c93efd134ade36 inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a5e0825132a38d091defdebbf2f8ce9 inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a1a5e0825132a38d091defdebbf2f8ce9">className</a></td></tr>
<tr class="separator:a1a5e0825132a38d091defdebbf2f8ce9 inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37fe2db9425bc45f6a33893eac31198e inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a37fe2db9425bc45f6a33893eac31198e">description</a></td></tr>
<tr class="separator:a37fe2db9425bc45f6a33893eac31198e inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae710376996aa2cc50787e23c5184d8b8 inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#ae710376996aa2cc50787e23c5184d8b8">tags</a></td></tr>
<tr class="separator:ae710376996aa2cc50787e23c5184d8b8 inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a150144c1b509d16ee9305bfd4c5437fc inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#a150144c1b509d16ee9305bfd4c5437fc">lcaseTags</a></td></tr>
<tr class="separator:a150144c1b509d16ee9305bfd4c5437fc inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9407b7f442655b51a2aad24b3fa2fd3 inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#aa9407b7f442655b51a2aad24b3fa2fd3">lineInfo</a></td></tr>
<tr class="separator:aa9407b7f442655b51a2aad24b3fa2fd3 inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc1e84bd7a2e180895a06d9131302af0 inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eac">SpecialProperties</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1TestCaseInfo.html#afc1e84bd7a2e180895a06d9131302af0">properties</a></td></tr>
<tr class="separator:afc1e84bd7a2e180895a06d9131302af0 inherit pub_attribs_structCatch_1_1TestCaseInfo"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aae5709fc1cb68e19ab0ac27e1ffd6a76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae5709fc1cb68e19ab0ac27e1ffd6a76">&#9670;&nbsp;</a></span>TestCase() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::TestCase::TestCase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ITestInvoker.html">ITestInvoker</a> *&#160;</td>
          <td class="paramname"><em>testCase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>info</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aae5709fc1cb68e19ab0ac27e1ffd6a76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae5709fc1cb68e19ab0ac27e1ffd6a76">&#9670;&nbsp;</a></span>TestCase() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::TestCase::TestCase </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ITestInvoker.html">ITestInvoker</a> *&#160;</td>
          <td class="paramname"><em>testCase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>info</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1ea0d79f49156cebea076fe1ba50d2b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ea0d79f49156cebea076fe1ba50d2b6">&#9670;&nbsp;</a></span>getTestCaseInfo() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a> const&amp; Catch::TestCase::getTestCaseInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1ea0d79f49156cebea076fe1ba50d2b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ea0d79f49156cebea076fe1ba50d2b6">&#9670;&nbsp;</a></span>getTestCaseInfo() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a> const&amp; Catch::TestCase::getTestCaseInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a26f346c8446dded0562fe3818ae71651"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26f346c8446dded0562fe3818ae71651">&#9670;&nbsp;</a></span>invoke() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::TestCase::invoke </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a26f346c8446dded0562fe3818ae71651"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26f346c8446dded0562fe3818ae71651">&#9670;&nbsp;</a></span>invoke() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Catch::TestCase::invoke </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a030e4b9282e9b32e08c8bd5e5cd6fa98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a030e4b9282e9b32e08c8bd5e5cd6fa98">&#9670;&nbsp;</a></span>operator&lt;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::TestCase::operator&lt; </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1TestCase.html">TestCase</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a030e4b9282e9b32e08c8bd5e5cd6fa98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a030e4b9282e9b32e08c8bd5e5cd6fa98">&#9670;&nbsp;</a></span>operator&lt;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::TestCase::operator&lt; </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1TestCase.html">TestCase</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5456d03a90f75292835c158f3a3374a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5456d03a90f75292835c158f3a3374a1">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::TestCase::operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1TestCase.html">TestCase</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5456d03a90f75292835c158f3a3374a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5456d03a90f75292835c158f3a3374a1">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::TestCase::operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1TestCase.html">TestCase</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0812e8a216d09b087d5874687009f0d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0812e8a216d09b087d5874687009f0d6">&#9670;&nbsp;</a></span>withName() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1TestCase.html">TestCase</a> Catch::TestCase::withName </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>_newName</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0812e8a216d09b087d5874687009f0d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0812e8a216d09b087d5874687009f0d6">&#9670;&nbsp;</a></span>withName() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1TestCase.html">TestCase</a> Catch::TestCase::withName </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>_newName</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a515e98dc36d443c35ebeef5eba8a1692"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a515e98dc36d443c35ebeef5eba8a1692">&#9670;&nbsp;</a></span>test</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="structCatch_1_1ITestInvoker.html">ITestInvoker</a> &gt; Catch::TestCase::test</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
